function [Q2, Qmax] = q(y, yhat)
% calculation of Q2 and Qmax for Problem set 2 (static nonlinearities)
% [Q2,Qmax] = Q(y, y_hat)
% INPUT
%    y    - original input data
%    yhat - reconstructed input data

% OUTPUT
%    Q2
%    Qmax

Q2   = 10*log10( sum((y-yhat).^2) / sum(y.^2) );
Qmax = 20*log10( max(abs(y-yhat)) / max(abs(y)) );
